## ros-indigo-jsk-maps 0.0.4

=== CMakeLists.txt ===
# only for catkin
cmake_minimum_required(VERSION 2.8.3)
project(jsk_maps)

find_package(catkin REQUIRED)
find_package(euslisp REQUIRED)

if(${CMAKE_SYSTEM_NAME} MATCHES Linux)
  execute_process(COMMAND gcc -dumpmachine OUTPUT_VARIABLE GCC_MACHINE OUTPUT_STRIP_TRAILING_WHITESPACE)
  message("-- Set GCC_MACHINE to ${GCC_MACHINE}")
  if(${GCC_MACHINE} MATCHES x86_64-linux-gnu)
    set(ARCHDIR Linux64)
  elseif(${GCC_MACHINE} MATCHES i686-linux-gnu)
    set(ARCHDIR Linux)
  elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES amd64* OR
      ${CMAKE_SYSTEM_PROCESSOR} MATCHES x86_64* )
    set(ARCHDIR Linux64)
  elseif(${GCC_MACHINE} MATCHES arm-linux-*)
    set(ARCHDIR LinuxARM)
  else()
    set(ARCHDIR Linux)
  endif()
elseif(${CMAKE_SYSTEM_NAME} MATCHES Darwin)
  set(ARCHDIR Darwin)
elseif(${CMAKE_SYSTEM_NAME} MATCHES Cygwin)
  set(ARCHDIR Cygwin)
else()
  set(ARCHDIR Generic)
endif()

if (EXISTS ${euslisp_SOURCE_DIR}/jskeus/eus/${ARCHDIR}/bin/irteusgl)
  set(_eus_exe ${euslisp_SOURCE_DIR}/jskeus/eus/${ARCHDIR}/bin/irteusgl)
elseif (EXISTS ${euslisp_SOURCE_PREFIX}/jskeus/eus/${ARCHDIR}/bin/irteusgl)
  set(_eus_exe ${euslisp_SOURCE_PREFIX}/jskeus/eus/${ARCHDIR}/bin/irteusgl)
elseif (EXISTS ${euslisp_PREFIX}/share/euslisp/jskeus/eus/${ARCHDIR}/bin/irteusgl)
  set(_eus_exe ${euslisp_PREFIX}/share/euslisp/jskeus/eus/${ARCHDIR}/bin/irteusgl)
else (EXISTS ${euslisp_SOURCE_DIR}/jskeus/eus/${ARCHDIR}/bin/irteusgl)
  message(FATAL_ERROR "cannot find irteusgl")
endif(EXISTS ${euslisp_SOURCE_DIR}/jskeus/eus/${ARCHDIR}/bin/irteusgl)

catkin_package()

set(_generated_files
  ${PROJECT_SOURCE_DIR}/raw_maps/eng2-2f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng2-7f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng6-1f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng6-3f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng6-b1f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng8-6f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng2-1f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng2-3f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng2-8f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng6-2f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng6-4f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/eng8-1f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/raw_maps/ eng8-b1f-0.05.yaml
  ${PROJECT_SOURCE_DIR}/launch/start_map_eng2_main.launch
  ${PROJECT_SOURCE_DIR}/launch/start_map_eng6_main.launch
  ${PROJECT_SOURCE_DIR}/launch/start_map_eng8_main.launch
  )

add_custom_command(
  OUTPUT ${_generated_files}
  COMMAND DISPLAY= ${_eus_exe} src/catkin-build-util.l
  DEPENDS ${PROJECT_SOURCE_DIR}/src/catkin-build-util.l ${PROJECT_SOURCE_DIR}/src/dump-map-info.l
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
)

add_custom_target(jsk_maps_install ALL DEPENDS ${_generated_files})

install(DIRECTORY launch raw_maps src tools
  DESTINATION
  ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== Makefile ===
#include $(shell rospack find mk)/cmake.mk

all: launch/start_map_eng2_vert.launch

launch/start_map_eng2_vert.launch:
	rosrun roseus roseus src/dump-map-info.l


clean:
	rm -rf euslisp *.pgm raw_maps/*-0.05.yaml launch/*_main.launch

=== tools/Makefile ===
all:
	./eus2owl.sh scene1
	./eus2owl.sh eng2
	cp -f *.owl.in `rospack find jsk_semantic_maps`/owl/
	(cd `rospack find jsk_semantic_maps`; make)

=== debian/changelog ===
ros-indigo-jsk-maps (0.0.4-0trusty) trusty; urgency=high

  * [jsk_maps] add README.md
  * [jsk_maps] cleanup; add option: launch_map_server
  * [jsk_maps][dump-map-info.l] fix: indent
  * add ARCHDIR for LinuxARM
  * use image filename relative to current yaml file
  * [jsk_maps/raw_maps/eng2-7f-0.05.pgm] update 73b2 7f map
  * Contributors: Kei Okada, Yuki Furuta

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Mar 2017 15:00:00 -0000

ros-indigo-jsk-maps (0.0.3-0trusty) trusty; urgency=high

  * add keepout maps
  * use queue_size=1
  * add depends to jsk_rviz_plugins
  * [jsk_maps/src/eng2-scene.l] add /eng2/8f/room83b1-front spot
  * Contributors: Yuki Furuta, Kei Okada

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Feb 2016 15:00:00 -0000

ros-indigo-jsk-maps (0.0.2-0trusty) trusty; urgency=high

  * Ignore auto generated files
  * [jsk_maps] update jsk eng2 7f 73b2 map data
  * Contributors: Yuki Furuta, Kentaro Wada

 -- Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-indigo-jsk-maps (0.0.1-0trusty) trusty; urgency=high

  * [jsk_maps] add multi_map_server deps for jsk_maps
  * [jsk_demos] remove rosmake files
  * Merge pull request #154 from garaemon/fc-ocs-ui-integration-go-pos
    [drc_com_common, drc_task_common] Add image_view2 based user interface.
  * [jsk_maps] Use find_package to lookup euslisp directory
  * [jsk_maps] Use find_package to lookup euslisp directory
  * [jsk_maps] Disable X by unsetting DISPLAY variable during compilation to avoid init-x error on catkin build
  * [jsk_maps] Disable X by unsetting DISPLAY variable during compilation to avoid init-x error on catkin build
  * [jsk_maps] use euslisp to generate map files rather than roseus
  * Publish spot as pictogram rather than marker
  * hook ros function on catkin_make in roseus
  * Revert "add geometry_msgs to dependencies"
    This reverts commit a78e42e9d41a8485cf1dd001bf95b7a2a1734f62.
  * add geneus msg to dependencies
  * add geometry_msgs to dependencies
  * fix typo at CMakeLists.txt
  * add launch files to script output dependencies
  * fix roseus bin directory
  * not use rosrun in CMakeLists.txt
  * add empty_map launch, pgm and yaml
  * add post proess to generate launchs automatically
  * avoid multiple spot decleration
  * remove autogenerated yaml under git
  * changed eng2-scene.l
  * changed 73b2 map
  * changed open-fridge-door function in pr2-action.l
  * Fix package name, topic names for hydro
  * add package.xml to jsk_maps
  * modified open-fridge-door function in pr2-action.l
  * Rename exeucutable name of the package multi_map_server from map_server to multi_map_server
  * update error message
  * add error message line and prevent many warning message if the target-tf is empty
  * add eng2-1f maps and elevator-outside spot
  * add 1f outside
  * h-kamada changed eng2-scene.l for eng2/1f
  * update eng2-7f-0.05.pgm
  * remove 73b2 doot to go to the elevator!!
  * support MACHINE argument on start_map_eng2.launch and start_map_eng8.launch
  * update spot /eng2/7f/room73B2-counter-side
  * updated eng2/7f/73b2
  * update spots at room73b2
  * update spot at /eng2/7f/73b2
  * change some map data
  * updated eng2/7f/73b2
  * update room73B2 map
  * cleanup codes and publish tf at 100 hz, see [#208]
  * change name of laundry spot
  * fix typo estq -> setq
  * add laundry to eng8-scene.l
  * add room602, ro10
  * support scene parameter in tool/publish_spot
  * commit fix dump-map-info, this differs eng2-3f-0.05.yaml from  [-13.0, -48.5, 0] to [-8.0, -53.5, 0]
  * remove autogenerated files when make clean
  * hvs2rgv is suport in jskeus r845
  * fix room610 position
  * set /eng8/6f/610 tf frame [#78]
  * update eng8-6f-0.05.pgm
  * set eng8 default floor
  * add auto generation eng #8 map
  * add 610 map
  * fixed fridge-front spot
  * update room73B2 map
  * updated 73B2 map
  * fix: all nodes should be identical
  * update 73B2 scene
  * update 73B2 map
  * updated pose of refridge
  * updated 73a3 floor
  * fix radius from 60->61 to avoid face-to-face alignment warning message
  * fix publish_spot
  * set output screen : publish_spot.l
  * add to l aunch publish_spot.l
  * fix : update spot publisher, read /map_tf_mux/selected to get current map and publish only that floor
  * update spot publisher, read /map_tf_mux/selected to get current map and publish only that floor
  * update map of 73B2 on 20120731
  * fixed coords of fridge-front
  * new spots
  * new map for 7f
  * changed fridge-front spot
  * new map for 73a3
  * update eng2-7f-map
  * udpate room73b2 map
  * uddate fridge position
  * jsk_maps requires roseus
  * add dependency for multi_map_server
  * new maps for 73b1
  * moved the spots for picking cups
  * moved mini kitchen spot
  * remove noize in map eng6-*f
  * added seminar B and C
  * remove noize in map eng6-3f
  * add eng6 scene
  * fixed the rotation on the eng6 maps, the center is elevator now
  * changed check condition of spot to convert owl
  * added eng6 all floor
  * added a map of eng6-3f
  * fixed eus -> owl script, remove vert type map (it is default now)
  * fixed building-model and eng8 model
  * incf x on coe-shelf
  * comma is needed in the code
  * add spot for opening fridge
  * added coe-spot and kitchen spot
  * move unassocd spots in rooms, same as room
  * added ipad demo spot for new map
  * add eng2 5f map, not edited version
  * changed map manager, map_server2 -> multi_map_manager in jsk_maps
  * use rosrun roseus rosues instead of roseus
  * last argument of static_transform_publisher is not hz, but msec
  * remove internal package name from manifest
  * make default-floor in dump script
  * changed to use vertical building model in jsk_maps
  * update vertical map launch
  * changed room wall position
  * moved conatenated-map utilities to old directory
  * fixed m -> mm to dumped yaml file


=== debian/control ===
Source: ros-indigo-jsk-maps
Section: misc
Priority: extra
Maintainer: Manabu Saito, Haseru Chen and Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), imagemagick, ros-indigo-catkin, ros-indigo-euslisp, ros-indigo-geometry-msgs, ros-indigo-jsk-rviz-plugins, ros-indigo-jskeus, ros-indigo-multi-map-server
Homepage: http://ros.org/wiki/jsk_maps
Standards-Version: 3.9.2

Package: ros-indigo-jsk-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ros-indigo-euslisp, ros-indigo-geometry-msgs, ros-indigo-jsk-rviz-plugins, ros-indigo-jskeus, ros-indigo-multi-map-server
Description: jsk_maps

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-maps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
